# Activate-Card

## ActivateCard

The Activate Card API requests to activate a card, this operation sets the card's initial PIN. The activation is done by providing the Date of birth and the CVV (the CVV parameter is part of the general XML Authentication part - see XML sample)

## Input Parameters:

| Name            | Required | Definition                                                                                                                                                                | Comments                                                           |
| --------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ |
| CardNumber      | C        | Format: Numeric, 16                                                                                                                                                       | Mutually exclusive with ID. Deprecated (use ID/ID Type)            |
| DateOfBirth     | C        | <p>Format: yyyy-mm-dd<br>Description: Cardholder must be above 17 years old</p>                                                                                           | must provide DateOfBirth or Last4OfID                              |
| Last4OfID       | C        | <p>Format: 4 characters long, numbers or alphanumeric.<br>Description: Last 4 characters of the SSN (or any other Government Issue ID) the cardholder registered with</p> | must provide DateOfBirth or Last4OfID                              |
| ID              | C        | <p>Format: Numeric, 1-19<br>Description:<br>Input should be RPID in case IDType = RPID<br>Input should be Card Number in case IDType = CardNumber</p>                     | Mutually exclusive with CardNumber. Required if IDType is provided |
| IDType          | N        | <p>Format options:<br>CardNumber<br>RPID<br>SavingAccount</p>                                                                                                             | relevant only for ID parameter (CardNumber is default)             |
| NewPin          | C        | <p>Format: Numeric, 4<br>Description: New PIN value of private code, represented as 4 digits</p>                                                                          | Optional only if NoPINActivation=Y. Otherwise, Required            |
| NewPin2         | C        | <p>Format: Numeric, 4<br>Description: New PIN value verification, repeats the NewPin value</p>                                                                            | Optional only if NoPINActivation=Y. Otherwise, Required            |
| NoPINActivation | N        |                                                                                                                                                                           |                                                                    |
| OrgId           | N        | <p>Format: Alphanumeric, 20<br>Value can be multiple org\_id’s split by commas</p>                                                                                        |                                                                    |

## Output Parameters:

| Name                   | Definition                                                                                                                                                                                                                                                                                                                                                                   | Failure Case | Success Case | Comments |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ | ------------ | -------- |
| CardBalance            | Format: Numeric, 11                                                                                                                                                                                                                                                                                                                                                          | Not returned | Returned     |          |
| CardIssuingBank        | Format: Alphanumeric, 30                                                                                                                                                                                                                                                                                                                                                     | Not returned | Returned     |          |
| CardStatus             | <p>"Active" (ACT)<br>"Suspended" (SPND)<br>"Card In Inventory" (CII)<br>"Spoilt" (SPLT)<br>"Cardholder Close" (CC)<br>"Lost" (LST)<br>"Locked" (LOCK)<br>"Locked Card In Inventory" (LOCK\_CII)<br>"Stolen" (STLN)<br>Description: All application cards status<br>descriptions (as Active, Suspended)</p>                                                                   | Not returned | Returned     |          |
| CardStatusId           | Format options: ACT, CC, CII, LOCK\_CII, LOCK, LST, SPLT, SPND, STLN                                                                                                                                                                                                                                                                                                         | Not returned | Returned     |          |
| CardType               | Format: Alphanumeric, 10                                                                                                                                                                                                                                                                                                                                                     | Not returned | Returned     |          |
| ExpirationDate         | Format: MMYY                                                                                                                                                                                                                                                                                                                                                                 | Not returned | Returned     |          |
| IsAssigned             | Format: Y/N                                                                                                                                                                                                                                                                                                                                                                  | Not returned | Returned     |          |
| IsRetailCard           | <p>Format: Y/N<br>Description: Indicates whether the card is part of a retail pack and is it a retail card</p>                                                                                                                                                                                                                                                               | Not returned | Returned     |          |
| IssueDate              | Format: YYYY-MM-DD HH:MM:SS.M                                                                                                                                                                                                                                                                                                                                                | Not returned | Returned     |          |
| IssuerName             | Format: Alphanumeric, 30                                                                                                                                                                                                                                                                                                                                                     | Not returned | Returned     |          |
| ReplacementMessageType | <p>Format options:<br>ToBeReplacedInAnotherBankForVerifiedCH<br>ToBeReplacedInAnotherBankForRNVCH<br>PTExpirationDate<br>CardExpirationDate<br>ReplacementCardOrderedFromAnotherBank<br>ReplacementCardOrderedFromSameBank<br>ReplacedAnotherCardInAnotherBank</p>                                                                                                           | Not returned | Returned     |          |
| ReplacementStatus      | <p>Format options:<br>CardReplaced<br>ReplacementCardObsolete<br>ReplacementCardOrderedFromSameBank<br>ReplacementCardOrderedFromAnotherBank<br>ReplacedAnotherCardInSameBank<br>ReplacedAnotherCardInAnotherBank<br>ReplacementCardRequired<br>ReplacementCardRequiredFailure<br>ToBeReplacedInAnotherBank<br>ToReplaceCardFromAnotherBank<br>ToReplaceCardFromSameBank</p> | Not returned | Returned     |          |

## XML Samples

### Input XML

```json
<?xml version="1.0"?>
<PraxellXMLRequest>
  <AuthenticationDetails>
    <AuthCardNumber>1234567890000012</AuthCardNumber>
    <AuthCVV>123</AuthCVV>
    <AuthDOB>1978-04-08</AuthDOB>
    <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails> 
 <ServiceDetails>
    <UniqueRequestId>963369551</UniqueRequestId>
    <ServiceName>ActivateCard</ServiceName>
  </ServiceDetails>
  <Origin>
    <OriginType>ExtAPI</OriginType>
  </Origin>
  <ServiceParams>
    <CardNumber></CardNumber>
    <DateOfBirth>1978-04-08</DateOfBirth>
    <ID>1234567890123456</ID>
    <IDType>CardNumber</IDType>
    <NewPin>6045</NewPin>
    <NewPin2>6045</NewPin2>
    <OrgId>1234</OrgId>
  </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
     <ResponseDetails>
        <ServiceName>ActivateCard</ServiceName>
        <SessionId>38097317201110064</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2021-02-25 17:10:40</ServiceDate>
        <ServiceId>38097317201110064</ServiceId>
    </ResponseDetails>
<ResponseParams>
    <CardStatus>Active</CardStatus>
    <CardStatusId>ACT</CardStatusId>
    <IsRetailCard>Y</IsRetailCard>
    <IsAssigned>Y</IsAssigned>
    <IssueDate>2021-02-25 15:20:19.0</IssueDate>
    <CardIssuingBank>IssuingBanktest900</CardIssuingBank>
    <ExpirationDate>0413</ExpirationDate>
    <CardType>999999999</CardType>
    <CardBalance>1999</CardBalance>
    <IssuerName>Store</IssuerName>
    <ReplacementStatus>ReplacedAnotherCardInSameBank</ReplacementStatus>
    <ReplacementMessageType></ReplacementMessageType>
</ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
     <ResponseDetails>
        <ServiceName>ActivateCard</ServiceName>
        <SessionId>38553811201107063</SessionId>
        <StatusCode>70022</StatusCode>
        <StatusName>INVALID CARD ACTIVE STATUS</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2021-02-25 11:07:39</ServiceDate>
        <ServiceId>38553811201107063</ServiceId>
    </ResponseDetails>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/card-issuance/activate-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
